log4shib::AbortAppender(3)

NAME
log4shib::AbortAppender - This Appender causes the application to abort() upon the first append() call.

SYNOPSIS

#include <AbortAppender.hh>

Inherits log4shib::AppenderSkeleton.

  Public Member Functions
AbortAppender (const std::string &name)
virtual ~AbortAppender ()
virtual bool reopen ()
Reopens the output destination of this Appender, e.g.
virtual void close ()
Release any resources allocated within the appender such as file handles, network connections, etc.
virtual bool requiresLayout () const
The AbortAppender does not layout.
virtual void setLayout (Layout *layout)
Set the Layout for this appender.

  Protected Member Functions
virtual void _append (const LoggingEvent &event)
Log in Appender specific way.

  Additional Inherited Members

Detailed Description

This Appender causes the application to abort() upon the first append() call.

Since
    0.3.5

Constructor & Destructor Documentation

  log4shib::AbortAppender::AbortAppender (const std::string & name)

  log4shib::AbortAppender::~AbortAppender () [virtual]

Member Function Documentation

  void log4shib::AbortAppender::_append (const LoggingEvent & event) [protected], [virtual]

Log in Appender specific way. Subclasses of Appender should implement this method to perform actual logging.

Parameters
    event The LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

  void log4shib::AbortAppender::close () [virtual]

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4shib::AppenderSkeleton.

  bool log4shib::AbortAppender::reopen () [virtual]

Reopens the output destination of this Appender, e.g. the logfile or TCP socket.

Returns
    false if an error occured during reopening, true otherwise.

Reimplemented from log4shib::AppenderSkeleton.

  bool log4shib::AbortAppender::requiresLayout () const [virtual]

The AbortAppender does not layout.

Returns
    false

Implements log4shib::AppenderSkeleton.

  void log4shib::AbortAppender::setLayout (Layout * layout) [virtual]

Set the Layout for this appender.

Parameters
    layout The layout to use.

Implements log4shib::AppenderSkeleton.

Author

Generated automatically by Doxygen for log4shib from the source code.